.freerolls-cards {
    display: grid;
    grid-gap: 15px;
    margin-bottom: 24px;
}

.frerolls-date {
    font-size: 24px;
    font-weight: 600;
    line-height: 1.25;
}

.freeroll-item-box {
    background: var(--color-black-700);
    color: #fff;
    display: flex;
    flex-direction: column;
    grid-gap: 10px;
    line-height: 1.5;
    overflow: hidden;
    padding: 20px;
    position: relative;
    text-transform: uppercase;
}

.freeroll-item-box--exclusive {
    background: linear-gradient(360deg, rgba(99, 235, 95, .4) 0%, rgba(28, 63, 27, 0) 56.11%), linear-gradient(0deg, #1C3F1B, #1C3F1B), #181C2B;
}

.freeroll-item-box:before,
.freeroll-item-box:after {
    background: #fff;
    border-radius: 50%;
    content: "";
    display: block;
    height: 34px;
    position: absolute;
    top: 80px;
    width: 34px;
}

.freeroll-item-box:before {
    left: -17px;
}

.freeroll-item-box:after {
    right: -17px;
}

.freeroll-label {
    background: var(--color-yellow);
    color: #000;
    font-size: 12px;
    font-weight: 600;
    left: 0;
    padding: 0 6px;
    position: absolute;
    top: 0;
}

.freeroll-head {
    align-items: center;
    border-bottom: 1px dashed #2F3240;
    display: flex;
    justify-content: space-between;
    padding: 0 0 20px;
}

.freeroll-item-box--exclusive .freeroll-head {
    border-bottom-color: #10121B;
}

.freeroll-date {
    display: grid;
}

.freeroll-date:before {
    content: attr(data-freeroll-date-hi);
    font-size: 24px;
    font-weight: 900;
    line-height: 32px;
    margin: 0 0 5px;
}

.freeroll-date:after {
    content: attr(data-freeroll-date-day);
    font-size: 12px;
    font-weight: 600;
}

.freeroll-room-name {
    font-size: 12px;
    font-weight: 600;
    margin: 10px 0 0;
    opacity: .6;
}

.freeroll-title {
    font-size: 20px;
    font-weight: 700;
    line-height: 1.2;
    margin: 0 0 25px;
    text-transform: initial;
}

.freeroll-title span {
    display: inline-block;
}

.freeroll-promo.akp-btn {
    height: 18px;
    justify-content: flex-start;
}

.freeroll-promo.akp-btn .akp-frame__promo-code:before {
    color: #fff;
}

.freeroll-pass {
    display: flex;
    font-size: 12px;
    font-weight: 600;
    margin-top: auto;
}

.freeroll-pass:before {
    content: attr(data-freeroll-pass-label);
    margin: 0 4px 0 0;
}

.freeroll-pass-btn {
    background: transparent;
    border-bottom: 1px dashed var(--color-red);
    color: var(--color-red);
    font-size: 14px;
    font-weight: 700;
    line-height: 12px;
    padding: 0;
    text-transform: uppercase;
}

.freeroll-info {
    align-items: center;
    display: flex;
    position: relative;
}

.freeroll-info:before {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' fill='none'%3E%3Cpath stroke='%23fff' stroke-miterlimit='10' stroke-width='2' d='M12 21a9 9 0 1 0 0-18 9 9 0 0 0 0 18Z'/%3E%3Cpath stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M12 16.5v-5.25'/%3E%3Cpath fill='%23fff' d='M12 6.75A1.125 1.125 0 1 1 12 9a1.125 1.125 0 0 1 0-2.25Z'/%3E%3C/svg%3E");
    content: "";
    display: inline-flex;
    height: 24px;
    margin: 0 4px 0 0;
    opacity: .6;
    width: 24px;
}

.freeroll-info-spoiler {
    border-bottom: 1px dashed #fff;
    cursor: pointer;
    font-size: 12px;
    font-weight: 700;
    line-height: 1;
    opacity: .6;
}

.freeroll-info-spoiler-content {
    background: var(--color-black-100);
    border-radius: 4px;
    bottom: calc(100% + 5px);
    display: none;
    font-size: 14px;
    left: 0;
    max-width: 300px;
    padding: 8px 14px;
    position: absolute;
    text-transform: initial;
    z-index: 1;
}

.freeroll-info-spoiler-content:after {
    background: var(--color-black-100);
    bottom: -4px;
    content: "";
    display: block;
    height: 8px;
    left: 20px;
    position: absolute;
    transform: rotate(45deg);
    width: 8px;
}

.freeroll-info-spoiler:hover + .freeroll-info-spoiler-content {
    display: block;
}

.more-wrapper_freerolls {
    margin: 30px 0;
    text-align: center;
}

.more-wrapper_freerolls .load-page-button {
    background: transparent;
    border: 1px solid #ccc;
    padding: 0 25px;
    border-radius: 5px;
    min-height: 42px;
    transition: .2s;
}

.more-wrapper_freerolls .load-page-button:hover {
    background: #f5f5f5;
}

@media screen and (min-width: 667px) {
    .freerolls-cards {
        grid-gap: 24px;
        grid-template-columns: repeat(3, 1fr);
    }

    .frerolls-date {
        grid-column: 1 / 4;
    }
}
